import { MaybeMutableObject, WritableProps } from './types/utils';
declare type FilteredCSSKeys = Extract<WritableProps<CSSStyleDeclaration>, string>;
declare type CSSKeys = {
    [Prop in FilteredCSSKeys]: CSSStyleDeclaration[Prop] extends string | number ? Prop : never;
}[FilteredCSSKeys];
declare function propProcessors<Tag extends keyof HTMLElementTagNameMap>(element: HTMLElementTagNameMap[Tag]): {
    children(data: Node | Node[] | string | string[] | null | undefined): void;
    value(data: string): void;
    style(data: MaybeMutableObject<Partial<Record<CSSKeys, string>>> | string): void;
};
export declare type Processors = ReturnType<typeof propProcessors>;
export declare type ProcessorTypes = {
    [Key in keyof Processors]: Parameters<Processors[Key]>[0];
};
export default propProcessors;
