import { ProcessorTypes } from '../../propProcessors';
import AnchorElement from './anchor';
import FormElement from './form';
import InputElement from './input';
import BaseElement from './base';
import ImageElement from './image';
import LabelElement from './label';
import ButtonElement from './button';
import ListItemElement from './list-item';
import OListElement from './o-list';
import CanvasElement from './canvas';
import DataElement from './data';
import ModElement from './mod';
import DetailsElement from './details';
import StyleElement from './style';
import QuoteElement from './quote';
import SelectElement from './select';
import OptionElement from './option';
import OptionGroupElement from './option-group';
import WithChildren from './with/children';
export declare type Element = {
    accessKey?: HTMLElement['accessKey'];
    autocapitalize?: ('off' | 'none') | ('on' | 'sentences') | 'words' | 'characters';
    autofocus?: HTMLElement['autofocus'];
    class?: HTMLElement['className'];
    contentEditable?: HTMLElement['contentEditable'];
    dir?: 'ltr' | 'rtl' | 'auto';
    draggable?: HTMLElement['draggable'];
    enterKeyHint?: HTMLElement['enterKeyHint'];
    hidden?: HTMLElement['hidden'];
    id?: HTMLElement['id'];
    inputMode?: HTMLElement['inputMode'];
    lang?: HTMLElement['lang'];
    nonce?: HTMLElement['nonce'];
    part?: HTMLElement['part'];
    slot?: HTMLElement['slot'];
    spellCheck?: HTMLElement['spellcheck'];
    tabIndex?: HTMLElement['tabIndex'];
    title?: HTMLElement['title'];
    translate?: HTMLElement['translate'];
} & {
    itemId?: string;
    itemProp?: string;
    itemRef?: string;
    itemScope?: string;
    itemType?: string;
} & {
    style?: ProcessorTypes['style'];
};
export declare type MutableElements = {
    a: AnchorElement;
    abbr: Element & WithChildren;
    address: Element & WithChildren;
    article: Element & WithChildren;
    aside: Element & WithChildren;
    b: Element & WithChildren;
    base: BaseElement;
    bdi: Element & WithChildren;
    bdo: Element & WithChildren;
    br: Element;
    button: ButtonElement;
    canvas: CanvasElement;
    cite: Element & WithChildren;
    code: Element & WithChildren;
    data: DataElement;
    dd: Element & WithChildren;
    del: ModElement;
    details: DetailsElement;
    dfn: Element & WithChildren;
    div: Element & WithChildren;
    dl: Element & WithChildren;
    dt: Element & WithChildren;
    em: Element & WithChildren;
    figcaption: Element & WithChildren;
    figure: Element & WithChildren;
    footer: Element & WithChildren;
    form: FormElement;
    h1: Element & WithChildren;
    h2: Element & WithChildren;
    h3: Element & WithChildren;
    h4: Element & WithChildren;
    h5: Element & WithChildren;
    h6: Element & WithChildren;
    header: Element & WithChildren;
    hgroup: Element & WithChildren;
    hr: Element;
    i: Element & WithChildren;
    img: ImageElement;
    input: InputElement;
    kbd: Element & WithChildren;
    label: LabelElement;
    li: ListItemElement;
    main: Element & WithChildren;
    mark: Element & WithChildren;
    nav: Element & WithChildren;
    noscript: Element & WithChildren;
    ol: OListElement;
    optgroup: OptionGroupElement;
    option: OptionElement;
    p: Element & WithChildren;
    pre: Element & WithChildren;
    q: QuoteElement;
    rp: Element & WithChildren;
    rt: Element & WithChildren;
    ruby: Element & WithChildren;
    s: Element & WithChildren;
    samp: Element & WithChildren;
    section: Element & WithChildren;
    select: SelectElement;
    small: Element & WithChildren;
    span: Element & WithChildren;
    strong: Element & WithChildren;
    style: StyleElement;
    sub: Element & WithChildren;
    summary: Element & WithChildren;
    sup: Element & WithChildren;
    u: Element & WithChildren;
    ul: Element & WithChildren;
    var: Element & WithChildren;
    wbr: Element & WithChildren;
};
export default MutableElements;
